Package org.eclipse.emf.cdo.server

# Class IRepositoryProtector.UserInfo

java.lang.Object
org.eclipse.emf.cdo.server.IRepositoryProtector.UserInfo

All Implemented Interfaces:
  `Comparable<IRepositoryProtector.UserInfo>`

Enclosing interface:
  `IRepositoryProtector`

public static class IRepositoryProtector.UserInfo extends Object implements Comparable<IRepositoryProtector.UserInfo>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`UserInfo(String userID)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`compareTo(IRepositoryProtector.UserInfo o)`
`final boolean`
`equals(Object obj)`
`final boolean`
`equalsStructurally(Object obj)`
`final int`
`hashCode()`
`protected boolean`
`isStructurallyEqual(IRepositoryProtector.UserInfo userInfo)`
`String`
`toString()`
`final String`
`userID()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserInfo

public UserInfo(String userID)

## Method Details

### userID

public final String userID()

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### equalsStructurally

public final boolean equalsStructurally(Object obj)

### compareTo

public final int compareTo(IRepositoryProtector.UserInfo o)

Specified by:
  `compareTo` in interface `Comparable<IRepositoryProtector.UserInfo>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isStructurallyEqual

protected boolean isStructurallyEqual(IRepositoryProtector.UserInfo userInfo)